comms/spandsp - The NetBSD Packages Collection

Library of DSP functions for telephony

SpanDSP is a library of DSP functions for telephony, in the 8000
sample per second world of E1s, T1s, and higher order PCM channels.
It contains low level functions, such as basic filters. It also
contains higher level functions, such as cadenced supervisory tone
detection, and a complete software FAX machine.  The software has
been designed to avoid intellectual property issues, using mature
techniques where all relevant patents have expired. See the file
DueDiligence for important information about these intellectual
property issues.

Build dependencies

pkgtools/cwrappers devel/libtool-base textproc/gsed devel/pkgconf

Runtime dependencies

graphics/tiff graphics/tiff

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfspandsp-0.0.6pre21nb4.tgz
NetBSD 8.0earmv7hfspandsp-0.0.6pre21nb3.tgz
NetBSD 8.0earmv7hfspandsp-0.0.6pre21nb4.tgz
NetBSD 8.0i386spandsp-0.0.6pre21nb3.tgz
NetBSD 8.0i386spandsp-0.0.6pre21nb4.tgz
NetBSD 8.0i386spandsp-0.0.6pre21nb4.tgz
NetBSD 8.0powerpcspandsp-0.0.6pre21nb3.tgz
NetBSD 8.0powerpcspandsp-0.0.6pre21nb4.tgz
NetBSD 8.0powerpcspandsp-0.0.6pre21nb4.tgz
NetBSD 8.0powerpcspandsp-0.0.6pre21nb4.tgz
NetBSD 8.0x86_64spandsp-0.0.6pre21nb4.tgz
NetBSD 8.0x86_64spandsp-0.0.6pre21nb3.tgz
NetBSD 8.0x86_64spandsp-0.0.6pre21nb4.tgz
NetBSD 9.0aarch64spandsp-0.0.6pre21nb4.tgz
NetBSD 9.0aarch64spandsp-0.0.6pre21nb3.tgz
NetBSD 9.0aarch64spandsp-0.0.6pre21nb4.tgz
NetBSD 9.0alphaspandsp-0.0.6pre21nb4.tgz
NetBSD 9.0alphaspandsp-0.0.6pre21nb3.tgz
NetBSD 9.0alphaspandsp-0.0.6pre21nb4.tgz
NetBSD 9.0earmspandsp-0.0.6pre21nb3.tgz
NetBSD 9.0earmspandsp-0.0.6pre21nb4.tgz
NetBSD 9.0earmspandsp-0.0.6pre21nb4.tgz
NetBSD 9.0earmv6hfspandsp-0.0.6pre21nb4.tgz
NetBSD 9.0earmv6hfspandsp-0.0.6pre21nb3.tgz
NetBSD 9.0earmv6hfspandsp-0.0.6pre21nb4.tgz
NetBSD 9.0earmv6hfspandsp-0.0.6pre21nb4.tgz
NetBSD 9.0earmv7hfspandsp-0.0.6pre21nb4.tgz
NetBSD 9.0earmv7hfspandsp-0.0.6pre21nb3.tgz
NetBSD 9.0earmv7hfspandsp-0.0.6pre21nb4.tgz
NetBSD 9.0earmv7hfspandsp-0.0.6pre21nb4.tgz
NetBSD 9.0earmv7hfspandsp-0.0.6pre21nb4.tgz
NetBSD 9.0i386spandsp-0.0.6pre21nb3.tgz
NetBSD 9.0i386spandsp-0.0.6pre21nb4.tgz
NetBSD 9.0i386spandsp-0.0.6pre21nb4.tgz
NetBSD 9.0mips64ebspandsp-0.0.6pre21nb4.tgz
NetBSD 9.0mips64ebspandsp-0.0.6pre21nb3.tgz
NetBSD 9.0mips64ebspandsp-0.0.6pre21nb4.tgz
NetBSD 9.0mipselspandsp-0.0.6pre21nb4.tgz
NetBSD 9.0mipselspandsp-0.0.6pre21nb4.tgz
NetBSD 9.0powerpcspandsp-0.0.6pre21nb4.tgz
NetBSD 9.0powerpcspandsp-0.0.6pre21nb3.tgz
NetBSD 9.0powerpcspandsp-0.0.6pre21nb4.tgz
NetBSD 9.0powerpcspandsp-0.0.6pre21nb4.tgz
NetBSD 9.0sh3elspandsp-0.0.6pre21nb4.tgz
NetBSD 9.0sh3elspandsp-0.0.6pre21nb4.tgz
NetBSD 9.0sparc64spandsp-0.0.6pre21nb4.tgz
NetBSD 9.0sparc64spandsp-0.0.6pre21nb2.tgz
NetBSD 9.0sparc64spandsp-0.0.6pre21nb3.tgz
NetBSD 9.0sparc64spandsp-0.0.6pre21nb4.tgz
NetBSD 9.0sparcspandsp-0.0.6pre21nb4.tgz
NetBSD 9.0sparcspandsp-0.0.6pre21nb3.tgz
NetBSD 9.0sparcspandsp-0.0.6pre21nb4.tgz
NetBSD 9.0vaxspandsp-0.0.6pre21nb4.tgz
NetBSD 9.0vaxspandsp-0.0.6pre21nb4.tgz
NetBSD 9.0x86_64spandsp-0.0.6pre21nb4.tgz
NetBSD 9.0x86_64spandsp-0.0.6pre21nb4.tgz
NetBSD 9.0x86_64spandsp-0.0.6pre21nb4.tgz
NetBSD 9.0x86_64spandsp-0.0.6pre21nb4.tgz
NetBSD 9.0x86_64spandsp-0.0.6pre21nb3.tgz
NetBSD 9.0x86_64spandsp-0.0.6pre21nb4.tgz
NetBSD 9.0x86_64spandsp-0.0.6pre21nb4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

mmx
Enable MMX support (x86 only).
sse
tests
Build and install tests.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.